function y=champmgn(u);

% Cette fonction donne les composantes du champ magntique
% terrestre sur une orbite circulaire d'inclinaison i et 
% d'altitude Z

% u(1)=====>temps (temps 0 au noeud ascendant)
% u(2)=====>inclinaison en radians
% u(3)=====>rayon orbital en m

% *****************************************************
%   ***** COMPOSANTES DANS LE REPERE ORBITAL XYZ ******
% *****************************************************

muo=4*pi*1e-7;
K=6.413e21;

wo=(39.86e13/(u(3))^3)^0.5;
cste=muo*K/(u(3))^3;

slambda=sin(u(2))*sin(wo*u(1));
clambda=(1-slambda^2)^0.5;
beta=asin(cos(u(2))/clambda);

y(1)=cste*sign(cos(wo*u(1)))*cos(beta)*clambda;
y(2)=cste*cos(u(2));
y(3)=-2*cste*slambda;  

end