function y=dens_atm(z);

% Ce programme calcule la densit de l'air suivant un modele 
% simple et stocke en memoire les valeurs

% z est l'altitude sol en km, y la densite en kg/m3

%________________________________________________________________
% DONNEES: modelele de JACCHIA POUR TEMPERATURE infinie=1000 K

altdens=[120 150 200 250 300 350 400 450 500 550 600 650 700 ...
  750 800 850 900 950 1000;...
  2.46e-8 2.17e-9 3.1e-10 7.67e-11 2.47e-11 8.3e-12 3.2e-12 ...
  1.33e-12 5.75e-13 2.6e-13 1.22e-13 6.05e-14 3.18e-14 ...
  1.8e-14 1.117e-14 7.51e-15 5.4e-15 4.12e-15 3.67e-15]';


% semilogx(altdens(:,2),altdens(:,1))

%_______________Utilisation de la table_________________

if z<=1e3,      % Test altitude < 1000 km

	alt=altdens(:,1);  
	ro=altdens(:,2);        % Masse volumique (Kg/m3)

	for k=1:18,              % Interpolation
  		if (z-alt(k))*(alt(k+1)-z)>=0,
    		   y=ro(k)+(ro(k+1)-ro(k))*(z-alt(k))/...
				(alt(k+1)-alt(k));
  		end
	end
end

if z>1e3,y=[0;0;0];end     % Altitude > 1000 km


end