function dpv=dpvnorm(v1,v2)

% cette fonction calcule le double produit vectoriel normalis
%        (v1 ^ v2 ) ^ v2
%   dpv = ----------------
%            ||v2||
%
%  on dmontre :
%
%         [(tr(v2).v1).v2 - (tr(v2).v2).v1]
%   dpv = -----------------------------------
%                      ||v2||
%
%    avec ||v2||=sqrt(tr(v2).v2)=norm(v2)
%
%  on dmontre galement :
%
%    dpv= {[v2*v2' - (v2'*v2)*I]/[norm(v2)]} * v1
%

dpv=((v2*v2'-(v2'*v2)*eye(length(v2)))/norm(v2))*v1;