function I=inertie(u);

%         ***************************************
%         *       DONNEES GEOMETRIQUES          *
%         ***************************************

Mo=u(1);  % MASSE SATELLITE SEUL
Io=u(2) ; % INERTIE SATELLITE SEUL
M=u(3);   % Masse terminale grand mat
L=u(4);   % Longueur du grand mat
r1=u(5);  % masse lineique du grand mat
m=u(6);   % Masse terminale petit mat
l=u(7);   % Longueur du petit mat
r2=u(8);  % masse lineique du grand mat
R=u(9);   % Demi largeur satellite
h1=u(10);  % paisseur du disque masse terminale
rayon1=u(11); % rayon du disque masse terminale
h2=u(12);  % paisseur disque masse secondaire
rayon2=u(13); % paisseur disque masse secondaire

% Z=u(14);   % Altitude en km
% s=u(15);   % Surface du mat
% Cd=u(16);  % Coefficient arodynamique;

% ***************************************************************

m1=r1*L;   % Masse mat principal
m2=r2*l;   % Masse mat secondaire

D=centrage(u);   % Distance de la face inferieure  G centre d'inertie

% Inerties satellite suppos cube homogne

Ir_cube=Io+Mo*(D-R)^2;
It_cube=Ir_cube;
Il_cube=Io;

% Inerties petit mat

Ir_petit_mat=2*(m+m2)*(D-R)^2+2*m*rayon2^2/2;

It_petit_mat=2*((m+m2)*(D-R)^2+m*(R+l+h2/2)^2+...
                   m2*l^2/12+m2*(l/2+R)^2+m*rayon2^2/4);

Il_petit_mat=2*(m*(R+l+h2/2)^2+m2*l^2/12+m2*(l/2+R)^2+m*rayon2^2/4);

% Inerties grand mat

Ir_grand_mat=m1*L^2/12+m1*(2*R+L/2-D)^2;
It_grand_mat=m1*L^2/12+m1*(2*R+L/2-D)^2;
Il_grand_mat=0;

% Inerties masse terminale

Ir_masse_terminale=M*(2*R+L-D+h1/2)^2+M*rayon1^2/4;
It_masse_terminale=Ir_masse_terminale+M*rayon1^2/4;
Il_masse_terminale=0+M*rayon1^2/2;
                                 
Ir=Ir_masse_terminale+Ir_petit_mat+Ir_grand_mat+Ir_cube;
It=It_masse_terminale+It_petit_mat+It_grand_mat+It_cube;
Il=Il_masse_terminale+Il_petit_mat+Il_grand_mat+Il_cube;

Lambda=(It-Ir)/Il

I=[Ir It Il];

end