clear
clc
hold off

casesen on;
disp('');
disp('******************************************************************');
disp('');
disp('    Ce programme contient les caracteristiques inertielles')
disp('                et orbitales du satellite');
disp('');disp('');disp('');

disp('    POUR LES MODIFIER EDITEZ scaodat2.m sous un editeur quelconque');
disp('');disp('');disp('');
disp('******************************************************************');
disp('');disp('');disp('');
disp('                       OK parametrage fini');
disp('');disp('');disp('');disp('');disp('');


casesen on;
% Elements de la matrice d'inertie du satellite

Ir=134.5;
It=136.7;
Il=5.4;

% Caractristiques de l'orbite du satellite

altitude_orbite=437;		% altitude satellite en km
rayon_orbital=(6378+altitude_orbite)*1000;
vitesse_rotation=sqrt(39.86e13/rayon_orbital^3);
				% pulsation orbitale en rd/s
inclinaison=97.19*pi/180;

inclinaison=pi/2;

% Reprsentation d'tat du SCAO non perturb

Asat=[0 1 0 0 0 0;
   -4*(It-Il)*vitesse_rotation^2/Ir...
          0 0 0 0 -(Ir+Il-It)*vitesse_rotation/Ir;
   0 0 0 1 0 0;
   0 0 -3*(Ir-Il)*vitesse_rotation^2/It 0 0 0;
   0 0 0 0 0 1;
   0 (Ir+Il-It)*vitesse_rotation/Il...
          0 0 -(It-Ir)*vitesse_rotation^2/Il 0];

Bsat=[0 0 0;
   1/Ir 0 0;
   0 0 0;
   0 1/It 0;
   0 0 0;
   0 0 1/Il];


disp('   Pour continuer appuyez sur une touche');
pause;
clc;

% Caractristiques du champ magntique terrestre

K=6.413e21;
mu0=4e-7*pi;
constante_magnetic=K*mu0/rayon_orbital^3;
casesen on;
% Calcul du champ magntique terrestre
disp('***********************************************************');
disp('');
disp('    Conseil:donnez un temps d''au moins une periode');
disp('');

tsim=input('          Temps de simulation (s) : ');

disp('');
disp('***********************************************************');
disp('');
disp('   On vous demande le nombre de points de memorisation  de Matlab ');
disp('      pour le trace des courbes des variables de sortie');
disp('');
disp('   Conseil :ce nombre doit etre superieur au nombre de pas');
disp('            de la simulation');

points_trace=input('    Nombre points memorisation trace des courbes : ');

disp('');
disp('***********************************************************');
disp('');
reponse=input('Desirez-vous afficher les courbes du champ magnetique (o/n): ','s');
disp('');
disp('***********************************************************');
disp('');
disp(' JE CALCULE LE CHAMP MAGNETIQUE SUR LA SIMULATION COMPLETE');
disp('');
disp('***********************************************************');

periode_orbitale=2*pi/vitesse_rotation;

tmax=periode_orbitale;

t=0:periode_orbitale/100:periode_orbitale;

angle_polaire=rem(vitesse_rotation*t,2*pi);
latitude=asin(sin(inclinaison)*sin(angle_polaire));
beta=asin(cos(inclinaison)*ones(1,length(t))./cos(latitude));

BX=constante_magnetic*sign(cos(angle_polaire)).*cos(latitude).*cos(beta);

BY=constante_magnetic*cos(inclinaison)*ones(1,length(t));
BZ=-2*constante_magnetic*sin(latitude);
champ_magn_terr=[t;BX;BY;BZ]';

%******************************************************************

  t=0:periode_orbitale/100:periode_orbitale;

  
  champ=table1(champ_magn_terr,t);
  l=length(t);

  
  nb_per=fix(tsim/periode_orbitale)+1;

 
  champ2=[];

  for i=1:nb_per

   
    champ2=[champ2;[t(1:l-1)'+(i-1)*periode_orbitale champ(1:l-1,:)]];
    

  end

  tt=0:tsim/(100*nb_per):tsim;
  
  champ=table1(champ2,tt);

  champ_magn_terr=[tt' champ];

  BX=champ_magn_terr(:,2);
  BY=champ_magn_terr(:,3);
  BZ=champ_magn_terr(:,4);
 
  norme_chp_inv=sqrt(BX.^2+BY.^2+BZ.^2);
  temps=tt;
  norme_chp_inv=[temps;(ones(length(temps),1)./norme_chp_inv)']';

  save initiat champ_magn_terr Asat Bsat points_trace tsim...
              temps inclinaison vitesse_rotation Il It Ir...
              constante_magnetic rayon_orbital


%*********************************************************************

disp('    J''ai calcule le champ magnetique terrestre dans les axes');
disp('           orbitaux pour le modele dipolaire simplifie');

disp('');
disp('***********************************************************');
disp('');
disp('   Pour connaitre les variables disponibles tapez    whos');
disp('');
disp('***********************************************************');

if reponse=='o',

subplot(211)
plot(t,angle_polaire*180/pi,t,latitude*180/pi,t,beta*180/pi)
grid
xlabel('Temps')
ylabel('Degres')
title('ANGLES  ORBITAUX')
hold on
nbre_points=101;
n1=round(nbre_points/4);
n2=round(nbre_points/2);
n3=round(nbre_points*3/4);
plot(t(n1),angle_polaire(n1)*180/pi,'r*',...
   t(n2),latitude(n2)*180/pi,'g*',t(n3),beta(n3)*180/pi,'b*')
text(t(n1),angle_polaire(n1)*180/pi,'Angle polaire')
text(t(n2),latitude(n2)*180/pi,'Latitude')
text(t(n3),beta(n3)*180/pi,'Direction Nord')
hold off

subplot(212)
plot(t,champ_magn_terr(1:101,2:4))
grid
xlabel('Temps')
title('CHAMP  MAGNETIQUE  TERRESTRE')
hold on

plot(t(n1),BX(n1),'r*',t(n2),BY(n2),'g*',...
     t(n3),BZ(n3),'b*')
text(t(n1),BX(n1),'BX')
text(t(n2),BY(n2),'BY')
text(t(n3),BZ(n3),'BZ')
pause
hold off

subplot(111)
end


disp('***************************************************************')
disp('');
disp(' En nettoyant la memoire il ne restera que l initialisation necessaire');
disp('');

Reponse=input('Desirez-vous nettoyer la memoire (o/n): ','s');

if Reponse=='o',

clear
load champper

end

disp('')
disp(' VOUS TROUVEREZ LES RESULTATS IMPORTANTS DANS initiat.mat')
disp('')
disp('    Executez maintenant scaoder2.m pour simuler le modele 3-axes stabilise');
disp('         par magnetocoupleurs a derivee du champ');
disp('');disp('');
disp('               scaoder2 est un schema bloc');
disp('')
