clear
clc

casesen on;

% *********************************************************
% *                    DONNEES                            *
% *********************************************************

	 % ECHANTILLONNAGE DU SYSTEME ***************

temps_echant=20;  % temps en secondes

temps_echant_magn=200;   % temps en secondes

	% MODELISATION DES MAGNETOCOUPLEURS

seuil_sat=5;  %  seuil de saturation en A-m

biais_magneto=0.1;  % Biais sur la valeur du moment de sortie

	% Modelisation des bruits de la chaine de mesure des angles

coeff_bruit=1;   % coefficient de bruit sur la mesure
                 % 1 indique 100% de bruit

disp('');
disp('******************************************************************');
disp('');
disp('    Ce programme contient les caracteristiques inertielles')
disp('                et orbitales du satellite');
disp('');disp('');disp('');


casesen on;
% Elements de la matrice d'inertie du satellite ***********

Ir=134.5;
It=136.7;
Il=5.4;

% Caractristiques de l'orbite du satellite ***************

altitude_orbite=437;		% altitude satellite en km
rayon_orbital=(6378+altitude_orbite)*1000;
vitesse_rotation=sqrt(39.86e13/rayon_orbital^3);
				% pulsation orbitale en rd/s
inclinaison=97.19*pi/180;

% ***********************************************************
% *                      FIN DES DONNEES                    *
% ***********************************************************


% Reprsentation d'tat du SCAO non perturb

Asat=[0 1 0 0 0 0;
   -4*(It-Il)*vitesse_rotation^2/Ir...
          0 0 0 0 -(Ir+Il-It)*vitesse_rotation/Ir;
   0 0 0 1 0 0;
   0 0 -3*(Ir-Il)*vitesse_rotation^2/It 0 0 0;
   0 0 0 0 0 1;
   0 (Ir+Il-It)*vitesse_rotation/Il...
          0 0 -(It-Ir)*vitesse_rotation^2/Il 0];

Bsat=[0 0 0;
   1/Ir 0 0;
   0 0 0;
   0 1/It 0;
   0 0 0;
   0 0 1/Il];

% ECHANTILLONNAGE ******** 

[Asat_d Bsat_d]=c2d(Asat,Bsat,temps_echant);

% ECHANTILLONNAGE ********

% Caractristiques du champ magntique terrestre

K=6.413e21;
mu0=4e-7*pi;
constante_magnetic=K*mu0/rayon_orbital^3;
casesen on;
% Calcul du champ magntique terrestre
disp('***********************************************************');
disp('');
disp('    Conseil:donnez un temps d''au moins une periode');
disp('');

tsim=input('          Temps de simulation (s) : ');

disp('');
disp('***********************************************************');
disp('');
disp('   On vous demande le nombre de points de memorisation  de Matlab ');
disp('      pour le trace des courbes des variables de sortie');
disp('');
disp('   Conseil :ce nombre doit etre superieur au nombre de pas');
disp('            de la simulation');

points_trace=input('    Nombre points memorisation trace des courbes : ');

  save initiat Asat_d Bsat_d points_trace tsim Il It Ir constante_magnetic...
       inclinaison vitesse_rotation rayon_orbital temps_echant...
       temps_echant_magn seuil_sat coeff_bruit biais_magneto



disp('***********************************************************');
disp('');
disp('   Pour connaitre les variables disponibles tapez    whos');
disp('');
disp('***************************************************************')
disp('');
disp(' En nettoyant la memoire il ne restera que l initialisation necessaire');
disp('');

Reponse=input('Desirez-vous nettoyer la memoire (o/n): ','s');

if Reponse=='o',

clear
load initiat

end

disp('')
disp(' VOUS TROUVEREZ LES DONNEES IMPORTANTES DANS initiat.mat')
disp('')
disp('    Executez maintenant scaoderz.m pour simuler le modele 3-axes stabilise');
disp('         par magnetocoupleurs command par le moment cintique');
disp('');disp('');
disp('               scaoderz est un schema bloc');
disp('')

end