function [ret,x0,str]=scaoder3(t,x,u,flag);
%SCAODER3	is the M-file description of the SIMULINK system named SCAODER3.
%	The block-diagram can be displayed by typing: SCAODER3.
%
%	SYS=SCAODER3(T,X,U,FLAG) returns depending on FLAG certain
%	system values given time point, T, current state vector, X,
%	and input vector, U.
%	FLAG is used to indicate the type of output to be returned in SYS.
%
%	Setting FLAG=1 causes SCAODER3 to return state derivatives, FLAG=2
%	discrete states, FLAG=3 system outputs and FLAG=4 next sample
%	time. For more information and other options see SFUNC.
%
%	Calling SCAODER3 with a FLAG of zero:
%	[SIZES]=SCAODER3([],[],[],0),  returns a vector, SIZES, which
%	contains the sizes of the state vector and other parameters.
%		SIZES(1) number of states
%		SIZES(2) number of discrete states
%		SIZES(3) number of outputs
%		SIZES(4) number of inputs.
%	For the definition of other parameters in SIZES, see SFUNC.
%	See also, TRIM, LINMOD, LINSIM, EULER, RK23, RK45, ADAMS, GEAR.

% Note: This M-file is only used for saving graphical information;
%       after the model is loaded into memory an internal model
%       representation is used.

% the system will take on the name of this mfile:
sys = mfilename;
new_system(sys)
simver(1.2)
if(0 == (nargin + nargout))
     set_param(sys,'Location',[4,42,628,468])
     open_system(sys)
end;
set_param(sys,'BackGround',0)
set_param(sys,'algorithm',		'Linear')
set_param(sys,'Start time',	'0.0')
set_param(sys,'Stop time',		'tsim')
set_param(sys,'Min step size',	'tsim/1000')
set_param(sys,'Max step size',	'tsim/500')
set_param(sys,'Relative error','1e-3')
set_param(sys,'Return vars',	'')

add_block('built-in/Note',[sys,'/','TANGAGE'])
set_param([sys,'/','TANGAGE'],...
		'ForeGround',5,...
		'position',[1060,431,1061,432])


%     Subsystem  'UnNamed1'.

new_system([sys,'/','UnNamed1'])
set_param([sys,'/','UnNamed1'],'Location',[4,42,628,468])

add_block('built-in/Inport',[sys,'/','UnNamed1/in_1'])
set_param([sys,'/','UnNamed1/in_1'],...
		'position',[15,130,35,150])

add_block('built-in/To Workspace',[sys,'/','UnNamed1/To Workspace'])
set_param([sys,'/','UnNamed1/To Workspace'],...
		'hide name',0,...
		'mat-name','roulis',...
		'buffer','points_trace',...
		'position',[165,68,255,82])

add_block('built-in/Demux',[sys,'/','UnNamed1/Demux'])
set_param([sys,'/','UnNamed1/Demux'],...
		'hide name',0,...
		'outputs','6',...
		'position',[65,59,105,216])

add_block('built-in/To Workspace',[sys,'/','UnNamed1/To Workspace1'])
set_param([sys,'/','UnNamed1/To Workspace1'],...
		'hide name',0,...
		'mat-name','v_roulis',...
		'buffer','points_trace',...
		'position',[165,91,260,109])

add_block('built-in/To Workspace',[sys,'/','UnNamed1/To Workspace3'])
set_param([sys,'/','UnNamed1/To Workspace3'],...
		'hide name',0,...
		'mat-name','v_tangage',...
		'buffer','points_trace',...
		'position',[165,141,260,159])

add_block('built-in/To Workspace',[sys,'/','UnNamed1/To Workspace4'])
set_param([sys,'/','UnNamed1/To Workspace4'],...
		'hide name',0,...
		'mat-name','lacet',...
		'buffer','points_trace',...
		'position',[165,167,215,183])

add_block('built-in/To Workspace',[sys,'/','UnNamed1/To Workspace5'])
set_param([sys,'/','UnNamed1/To Workspace5'],...
		'hide name',0,...
		'mat-name','v_lacet',...
		'buffer','points_trace',...
		'position',[165,192,215,208])

add_block('built-in/Scope',[sys,'/','UnNamed1/Scope'])
set_param([sys,'/','UnNamed1/Scope'],...
		'Vgain','0.150000',...
		'Hgain','40000.000000',...
		'Vmax','0.300000',...
		'Hmax','80000.000000',...
		'Window',[165,188,488,409],...
		'position',[495,127,515,153])

add_block('built-in/To Workspace',[sys,'/','UnNamed1/To Workspace2'])
set_param([sys,'/','UnNamed1/To Workspace2'],...
		'hide name',0,...
		'mat-name','tangage',...
		'buffer','points_trace',...
		'position',[165,117,215,133])
add_line([sys,'/','UnNamed1'],[40,140;55,140])
add_line([sys,'/','UnNamed1'],[110,75;155,75])
add_line([sys,'/','UnNamed1'],[110,100;155,100])
add_line([sys,'/','UnNamed1'],[110,125;155,125])
add_line([sys,'/','UnNamed1'],[110,150;155,150])
add_line([sys,'/','UnNamed1'],[110,175;155,175])
add_line([sys,'/','UnNamed1'],[110,200;155,200])
add_line([sys,'/','UnNamed1'],[130,125;130,140;485,140])
set_param([sys,'/','UnNamed1'],...
		'Mask Display','Sortie\nsystme\n(angles et\nvitesses angulaires)')


%     Finished composite block 'UnNamed1'.

set_param([sys,'/','UnNamed1'],...
		'ForeGround',1,...
		'BackGround',4,...
		'hide name',0,...
		'position',[450,216,545,274])


%     Subsystem  ['Perturbations',13,'arodynamiques'].

new_system([sys,'/',['Perturbations',13,'arodynamiques']])
set_param([sys,'/',['Perturbations',13,'arodynamiques']],'Location',[4,42,628,468])

add_block('built-in/Outport',[sys,'/',['Perturbations',13,'arodynamiques/out_1']])
set_param([sys,'/',['Perturbations',13,'arodynamiques/out_1']],...
		'position',[235,85,255,105])

add_block('built-in/Mux',[sys,'/',['Perturbations',13,'arodynamiques/Mux']])
set_param([sys,'/',['Perturbations',13,'arodynamiques/Mux']],...
		'inputs','3',...
		'position',[150,57,180,133])

add_block('built-in/Constant',[sys,'/',['Perturbations',13,'arodynamiques/Constant1']])
set_param([sys,'/',['Perturbations',13,'arodynamiques/Constant1']],...
		'hide name',0,...
		'Value','0',...
		'position',[40,60,85,80])

add_block('built-in/Constant',[sys,'/',['Perturbations',13,'arodynamiques/Constant2']])
set_param([sys,'/',['Perturbations',13,'arodynamiques/Constant2']],...
		'hide name',0,...
		'Value','8e-6',...
		'position',[40,85,85,105])

add_block('built-in/Constant',[sys,'/',['Perturbations',13,'arodynamiques/Constant3']])
set_param([sys,'/',['Perturbations',13,'arodynamiques/Constant3']],...
		'hide name',0,...
		'Value','0',...
		'position',[40,110,85,130])
add_line([sys,'/',['Perturbations',13,'arodynamiques']],[90,70;140,70])
add_line([sys,'/',['Perturbations',13,'arodynamiques']],[90,95;140,95])
add_line([sys,'/',['Perturbations',13,'arodynamiques']],[90,120;140,120])
add_line([sys,'/',['Perturbations',13,'arodynamiques']],[185,95;225,95])
set_param([sys,'/',['Perturbations',13,'arodynamiques']],...
		'Mask Display','Couples\nperturbateurs Mp')


%     Finished composite block ['Perturbations',13,'arodynamiques'].

set_param([sys,'/',['Perturbations',13,'arodynamiques']],...
		'ForeGround',2,...
		'position',[65,122,150,158])

add_block('built-in/Gain',[sys,'/','Gain'])
set_param([sys,'/','Gain'],...
		'hide name',0,...
		'position',[190,127,225,153])

add_block('built-in/From Workspace',[sys,'/','From Workspace'])
set_param([sys,'/','From Workspace'],...
		'orientation',2,...
		'BackGround',3,...
		'hide name',0,...
		'matl_expr','[champ_magn_terr]',...
		'position',[450,296,555,354])

add_block('built-in/State-space',[sys,'/','State-space'])
set_param([sys,'/','State-space'],...
		'ForeGround',1,...
		'BackGround',2,...
		'hide name',0,...
		'A','Asat',...
		'B','Bsat',...
		'C','eye(Asat)',...
		'D','zeros(Bsat)',...
		'X0','[0 0 0.1 0 0 0]''',...
		'Mask Display','MODELE\nSATELLITE')
set_param([sys,'/','State-space'],...
		'position',[305,218,420,272])


%     Subsystem  ['Variables',13,'de commande'].

new_system([sys,'/',['Variables',13,'de commande']])
set_param([sys,'/',['Variables',13,'de commande']],'Location',[4,232,628,460])

add_block('built-in/To Workspace',[sys,'/',['Variables',13,'de commande/To Workspace2']])
set_param([sys,'/',['Variables',13,'de commande/To Workspace2']],...
		'hide name',0,...
		'mat-name','commande_z',...
		'buffer','points_trace',...
		'position',[135,136,215,154])

add_block('built-in/To Workspace',[sys,'/',['Variables',13,'de commande/To Workspace1']])
set_param([sys,'/',['Variables',13,'de commande/To Workspace1']],...
		'hide name',0,...
		'mat-name','commande_y',...
		'buffer','points_trace',...
		'position',[135,106,215,124])

add_block('built-in/Demux',[sys,'/',['Variables',13,'de commande/Demux']])
set_param([sys,'/',['Variables',13,'de commande/Demux']],...
		'hide name',0,...
		'outputs','3',...
		'position',[65,67,105,163])

add_block('built-in/To Workspace',[sys,'/',['Variables',13,'de commande/To Workspace']])
set_param([sys,'/',['Variables',13,'de commande/To Workspace']],...
		'hide name',0,...
		'mat-name','commande_x',...
		'buffer','points_trace',...
		'position',[135,76,215,94])

add_block('built-in/Inport',[sys,'/',['Variables',13,'de commande/in_1']])
set_param([sys,'/',['Variables',13,'de commande/in_1']],...
		'position',[15,105,35,125])
add_line([sys,'/',['Variables',13,'de commande']],[110,145;125,145])
add_line([sys,'/',['Variables',13,'de commande']],[110,115;125,115])
add_line([sys,'/',['Variables',13,'de commande']],[110,85;125,85])
add_line([sys,'/',['Variables',13,'de commande']],[40,115;55,115])
set_param([sys,'/',['Variables',13,'de commande']],...
		'Mask Display','Commande\nde couple\nsur les trois axes')


%     Finished composite block ['Variables',13,'de commande'].

set_param([sys,'/',['Variables',13,'de commande']],...
		'ForeGround',1,...
		'BackGround',4,...
		'hide name',0,...
		'position',[445,144,550,206])

add_block('built-in/Sum',[sys,'/','Sum'])
set_param([sys,'/','Sum'],...
		'BackGround',7,...
		'hide name',0,...
		'position',[270,235,290,255])

add_block('built-in/MATLAB Fcn',[sys,'/','MATLAB Fcn'])
set_param([sys,'/','MATLAB Fcn'],...
		'orientation',2,...
		'BackGround',7,...
		'hide name',0,...
		'Font Size',12,...
		'MATLAB Fcn','champsat(u)',...
		'Output Width','3',...
		'Mask Display','Changement\nd''axes simplifi')
set_param([sys,'/','MATLAB Fcn'],...
		'position',[120,315,215,365])


%     Subsystem  ['Double click',13,'on this for demo.1'].

new_system([sys,'/',['Double click',13,'on this for demo.1']])
set_param([sys,'/',['Double click',13,'on this for demo.1']],'Location',[-10,380,117,533])
set_param([sys,'/',['Double click',13,'on this for demo.1']],...
		'Mask Display','MODELISATION AVEC MAGNETO-COUPLEURS FONDEE SUR LA DERIVEE DU CHAMP\n MODELE UNIAXE TANGAGE SEUL\n(avec ou sans perturbations)',...
		'Mask Type','')
set_param([sys,'/',['Double click',13,'on this for demo.1']],...
		'Mask Dialogue',' ',...
		'Mask Translate','',...
		'Mask Help','')


%     Finished composite block ['Double click',13,'on this for demo.1'].

set_param([sys,'/',['Double click',13,'on this for demo.1']],...
		'ForeGround',2,...
		'BackGround',5,...
		'hide name',0,...
		'position',[37,12,575,50])

add_block('built-in/Note',[sys,'/','Sign: MICHAU+GUIZIOU oct 1994'])
set_param([sys,'/','Sign: MICHAU+GUIZIOU oct 1994'],...
		'position',[495,55,496,56])

add_block('built-in/Demux',[sys,'/','Demux'])
set_param([sys,'/','Demux'],...
		'BackGround',5,...
		'hide name',0,...
		'outputs','6',...
		'position',[460,368,490,407])

add_block('built-in/Scope',[sys,'/','Scope'])
set_param([sys,'/','Scope'],...
		'BackGround',5,...
		'hide name',0,...
		'Vgain','0.150000',...
		'Hgain','40000.000000',...
		'Vmax','0.300000',...
		'Hmax','80000.000000',...
		'Window',[13,181,636,451])
open_system([sys,'/','Scope'])
set_param([sys,'/','Scope'],...
		'position',[515,364,555,406])

add_block('built-in/Clock',[sys,'/','Clock'])
set_param([sys,'/','Clock'],...
		'ForeGround',3,...
		'BackGround',6,...
		'hide name',0,...
		'position',[425,95,445,115])


%     Subsystem  'UnNamed2'.

new_system([sys,'/','UnNamed2'])
set_param([sys,'/','UnNamed2'],'Location',[4,42,628,468])

add_block('built-in/Inport',[sys,'/','UnNamed2/in_2'])
set_param([sys,'/','UnNamed2/in_2'],...
		'Port','2',...
		'position',[15,85,35,105])

add_block('built-in/Outport',[sys,'/','UnNamed2/out_1'])
set_param([sys,'/','UnNamed2/out_1'],...
		'position',[190,70,210,90])

add_block('built-in/Inport',[sys,'/','UnNamed2/in_1'])
set_param([sys,'/','UnNamed2/in_1'],...
		'position',[15,50,35,70])

add_block('built-in/Note',[sys,'/','UnNamed2/m'])
set_param([sys,'/','UnNamed2/m'],...
		'position',[77,65,82,70])

add_block('built-in/Mux',[sys,'/','UnNamed2/Mux1'])
set_param([sys,'/','UnNamed2/Mux1'],...
		'hide name',0,...
		'inputs','[3 3]',...
		'position',[70,40,110,115])

add_block('built-in/MATLAB Fcn',[sys,'/','UnNamed2/MATLAB Fcn'])
set_param([sys,'/','UnNamed2/MATLAB Fcn'],...
		'hide name',0,...
		'MATLAB Fcn','cross(u(1:3),u(4:6))',...
		'Output Width','3',...
		'position',[125,65,175,95])
add_line([sys,'/','UnNamed2'],[40,95;60,95])
add_line([sys,'/','UnNamed2'],[180,80;180,80])
add_line([sys,'/','UnNamed2'],[40,60;60,60])
add_line([sys,'/','UnNamed2'],[115,80;115,80])
set_param([sys,'/','UnNamed2'],...
		'Mask Display','Calcul de\nBxdB/dt')


%     Finished composite block 'UnNamed2'.

set_param([sys,'/','UnNamed2'],...
		'BackGround',7,...
		'hide name',0,...
		'position',[100,223,170,272])

add_block('built-in/Gain',[sys,'/','Gain1'])
set_param([sys,'/','Gain1'],...
		'BackGround',7,...
		'hide name',0,...
		'Gain','1e7',...
		'position',[190,237,225,263])

add_block('built-in/Derivative',[sys,'/','Derivative'])
set_param([sys,'/','Derivative'],...
		'BackGround',7,...
		'hide name',0,...
		'position',[55,250,85,270])

add_block('built-in/Note',[sys,'/','Mp'])
set_param([sys,'/','Mp'],...
		'position',[235,120,236,121])

add_block('built-in/Mux',[sys,'/','Mux'])
set_param([sys,'/','Mux'],...
		'orientation',2,...
		'hide name',0,...
		'inputs','[3 6]',...
		'position',[290,314,325,361])

add_block('built-in/To Workspace',[sys,'/','To Workspace'])
set_param([sys,'/','To Workspace'],...
		'ForeGround',3,...
		'BackGround',6,...
		'hide name',0,...
		'mat-name','temps',...
		'buffer','points_trace',...
		'position',[490,97,540,113])

add_block('built-in/Note',[sys,'/','Champ en axes satellite'])
set_param([sys,'/','Champ en axes satellite'],...
		'Font Size',12,...
		'position',[155,295,156,296])
add_line(sys,[445,325;335,325])
add_line(sys,[450,105;480,105])
add_line(sys,[155,140;180,140])
add_line(sys,[230,140;245,140;245,240;260,240])
add_line(sys,[295,245;295,245])
add_line(sys,[425,245;440,245])
add_line(sys,[425,245;425,350;335,350])
add_line(sys,[90,260;90,260])
add_line(sys,[285,340;225,340])
add_line(sys,[115,340;35,340;35,260;45,260])
add_line(sys,[35,260;35,235;90,235])
add_line(sys,[495,385;505,385])
add_line(sys,[230,250;260,250])
add_line(sys,[175,250;180,250])
add_line(sys,[230,250;230,175;435,175])
add_line(sys,[425,350;425,390;450,390])

% Return any arguments.
if (nargin | nargout)
	% Must use feval here to access system in memory
	if (nargin > 3)
		if (flag == 0)
			eval(['[ret,x0,str]=',sys,'(t,x,u,flag);'])
		else
			eval(['ret =', sys,'(t,x,u,flag);'])
		end
	else
		[ret,x0,str] = feval(sys);
	end
end
